Skip to content
Start here

Export as Terraform

client.magicCloudNetworking.onRamps.export(stringonrampId, OnRampExportParams { account_id } params, RequestOptionsoptions?): Response
POST/accounts/{account_id}/magic/cloud/onramps/{onramp_id}/export

Export an On-ramp to terraform ready file(s) (Closed Beta).

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Magic WAN Write
ParametersExpand Collapse
onrampId: string
formatuuid
params: OnRampExportParams { account_id }
account_id: string
ReturnsExpand Collapse
unnamed_schema_5 = Response

Export as Terraform

import Cloudflare from 'cloudflare';

const client = new Cloudflare({
  apiToken: process.env['CLOUDFLARE_API_TOKEN'], // This is the default and can be omitted
});

const response = await client.magicCloudNetworking.onRamps.export(
  '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
  { account_id: 'account_id' },
);

console.log(response);

const content = await response.blob();
console.log(content);
Returns Examples